## EntangleControlButton

EntangleControlButton — a device control that is a simple button

## Functions

EntangleControlButton * | entangle_control_button_new ()

## Types and Values

#define | ENTANGLE_TYPE_CONTROL_BUTTON
| EntangleControlButton

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlButton

## Description

The EntangleControlButton object provides a device control that acts like a momentary push button.

## Functions

### entangle_control_button_new ()

    EntangleControlButton *
    entangle_control_button_new (const char *path,
                                 int id,
                                 const char *label,
                                 const char *info,
                                 gboolean readonly);

## Types and Values

### ENTANGLE_TYPE_CONTROL_BUTTON

    #define ENTANGLE_TYPE_CONTROL_BUTTON (entangle_control_button_get_type())

### EntangleControlButton

    typedef struct _EntangleControlButton EntangleControlButton;